Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface SelfTuningMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface SelfTuningMBean
extends ConfigurationMBean

SelfTuningMBean holds global work manager component mbeans.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`weblogic.management.configuration.CapacityMBean` | `createCapacity(String name)` This is the factory method for Capacitys
`weblogic.management.configuration.ContextRequestClassMBean` | `createContextRequestClass(String name)` This is the factory method for ContextRequestClasss
`weblogic.management.configuration.FairShareRequestClassMBean` | `createFairShareRequestClass(String name)` This is the factory method for FairShareRequestClasses
`weblogic.management.configuration.MaxThreadsConstraintMBean` | `createMaxThreadsConstraint(String name)` This is the factory method for MaxThreadsConstraints
`MinThreadsConstraintMBean` | `createMinThreadsConstraint(String name)` This is the factory method for MinThreadsConstraints
`weblogic.management.configuration.ResponseTimeRequestClassMBean` | `createResponseTimeRequestClass(String name)` This is the factory method for ResponseTimeRequestClasss
`weblogic.management.configuration.WorkManagerMBean` | `createWorkManager(String name)` Create a new work manager
`void` | `destroyCapacity(weblogic.management.configuration.CapacityMBean bean)` Destroys and removes a Capacity which with the specified short name .
`void` | `destroyContextRequestClass(weblogic.management.configuration.ContextRequestClassMBean bean)` Destroys and removes a ContextRequestClass which with the specified short name .
`void` | `destroyFairShareRequestClass(weblogic.management.configuration.FairShareRequestClassMBean bean)` Destroys and removes a FairShareRequestClass which with the specified short name .
`void` | `destroyMaxThreadsConstraint(weblogic.management.configuration.MaxThreadsConstraintMBean bean)` Destroys and removes a MaxThreadsConstraint which with the specified short name .
`void` | `destroyMinThreadsConstraint(MinThreadsConstraintMBean bean)` Destroys and removes a MinThreadsConstraint which with the specified short name .
`void` | `destroyResponseTimeRequestClass(weblogic.management.configuration.ResponseTimeRequestClassMBean bean)` Destroys and removes a ResponseTimeRequestClass which with the specified short name .
`void` | `destroyWorkManager(weblogic.management.configuration.WorkManagerMBean c)` Destroy work manager
`weblogic.management.configuration.CapacityMBean[]` | `getCapacities()` Get all the capacity definitions
`weblogic.management.configuration.ContextRequestClassMBean[]` | `getContextRequestClasses()` Get all the context request classes
`weblogic.management.configuration.FairShareRequestClassMBean[]` | `getFairShareRequestClasses()` Get all the fair share request classes
`weblogic.management.configuration.MaxThreadsConstraintMBean[]` | `getMaxThreadsConstraints()` Get all the max threads constraint
`MinThreadsConstraintMBean[]` | `getMinThreadsConstraints()` Get all the min threads constraint
`weblogic.management.configuration.ResponseTimeRequestClassMBean[]` | `getResponseTimeRequestClasses()` Get all the response time request classes
`weblogic.management.configuration.WorkManagerMBean[]` | `getWorkManagers()` Get all the defined work managers.
`weblogic.management.configuration.CapacityMBean` | `lookupCapacity(String name)` Lookup a particular Capacity from the list.
`weblogic.management.configuration.ContextRequestClassMBean` | `lookupContextRequestClass(String name)` Lookup a particular ContextRequestClass from the list.
`weblogic.management.configuration.FairShareRequestClassMBean` | `lookupFairShareRequestClass(String name)` Lookup a particular FairShareRequestClass from the list.
`weblogic.management.configuration.MaxThreadsConstraintMBean` | `lookupMaxThreadsConstraint(String name)` Lookup a particular MaxThreadsConstraint from the list.
`MinThreadsConstraintMBean` | `lookupMinThreadsConstraint(String name)` Lookup a particular MinThreadsConstraint from the list.
`weblogic.management.configuration.ResponseTimeRequestClassMBean` | `lookupResponseTimeRequestClass(String name)` Lookup a particular ResponseTimeRequestClass from the list.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### createCapacity

    public weblogic.management.configuration.CapacityMBean createCapacity(String name)

  This is the factory method for Capacitys

  Parameters:
    `name` -
  Returns:
    an instance.
  Since:
    9.0.0.0

### createContextRequestClass

    public weblogic.management.configuration.ContextRequestClassMBean createContextRequestClass(String name)

  This is the factory method for ContextRequestClasss

  Parameters:
    `name` -
  Returns:
    an instance.
  Since:
    9.0.0.0

### createFairShareRequestClass

    public weblogic.management.configuration.FairShareRequestClassMBean createFairShareRequestClass(String name)

  This is the factory method for FairShareRequestClasses

  Parameters:
    `name` -
  Returns:
    an instance.
  Since:
    9.0.0.0

### createMaxThreadsConstraint

    public weblogic.management.configuration.MaxThreadsConstraintMBean createMaxThreadsConstraint(String name)

  This is the factory method for MaxThreadsConstraints

  Parameters:
    `name` -
  Returns:
    an instance.
  Since:
    9.0.0.0

### createMinThreadsConstraint

    public MinThreadsConstraintMBean createMinThreadsConstraint(String name)

  This is the factory method for MinThreadsConstraints

  Parameters:
    `name` -
  Returns:
    an instance.
  Since:
    9.0.0.0

### createResponseTimeRequestClass

    public weblogic.management.configuration.ResponseTimeRequestClassMBean createResponseTimeRequestClass(String name)

  This is the factory method for ResponseTimeRequestClasss

  Parameters:
    `name` -
  Returns:
    an instance.
  Since:
    9.0.0.0

### createWorkManager

    public weblogic.management.configuration.WorkManagerMBean createWorkManager(String name)

  Create a new work manager

  Since:
    9.0.0.0

### destroyCapacity

    public void destroyCapacity(weblogic.management.configuration.CapacityMBean bean)

  Destroys and removes a Capacity which with the specified short name .

  Parameters:
    `bean` -
  Since:
    9.0.0.0

### destroyContextRequestClass

    public void destroyContextRequestClass(weblogic.management.configuration.ContextRequestClassMBean bean)

  Destroys and removes a ContextRequestClass which with the specified short name .

  Parameters:
    `bean` -
  Since:
    9.0.0.0

### destroyFairShareRequestClass

    public void destroyFairShareRequestClass(weblogic.management.configuration.FairShareRequestClassMBean bean)

  Destroys and removes a FairShareRequestClass which with the specified short name .

  Parameters:
    `bean` -
  Since:
    9.0.0.0

### destroyMaxThreadsConstraint

    public void destroyMaxThreadsConstraint(weblogic.management.configuration.MaxThreadsConstraintMBean bean)

  Destroys and removes a MaxThreadsConstraint which with the specified short name .

  Parameters:
    `bean` -
  Since:
    9.0.0.0

### destroyMinThreadsConstraint

    public void destroyMinThreadsConstraint(MinThreadsConstraintMBean bean)

  Destroys and removes a MinThreadsConstraint which with the specified short name .

  Parameters:
    `bean` -
  Since:
    9.0.0.0

### destroyResponseTimeRequestClass

    public void destroyResponseTimeRequestClass(weblogic.management.configuration.ResponseTimeRequestClassMBean bean)

  Destroys and removes a ResponseTimeRequestClass which with the specified short name .

  Parameters:
    `bean` -
  Since:
    9.0.0.0

### destroyWorkManager

    public void destroyWorkManager(weblogic.management.configuration.WorkManagerMBean c)

  Destroy work manager

  Since:
    9.0.0.0

### getCapacities

    public weblogic.management.configuration.CapacityMBean[] getCapacities()

  Get all the capacity definitions

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getContextRequestClasses

    public weblogic.management.configuration.ContextRequestClassMBean[] getContextRequestClasses()

  Get all the context request classes

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getFairShareRequestClasses

    public weblogic.management.configuration.FairShareRequestClassMBean[] getFairShareRequestClasses()

  Get all the fair share request classes

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getMaxThreadsConstraints

    public weblogic.management.configuration.MaxThreadsConstraintMBean[] getMaxThreadsConstraints()

  Get all the max threads constraint

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getMinThreadsConstraints

    public MinThreadsConstraintMBean[] getMinThreadsConstraints()

  Get all the min threads constraint

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getResponseTimeRequestClasses

    public weblogic.management.configuration.ResponseTimeRequestClassMBean[] getResponseTimeRequestClasses()

  Get all the response time request classes

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getWorkManagers

    public weblogic.management.configuration.WorkManagerMBean[] getWorkManagers()

  Get all the defined work managers.

  A note about dynamic additions and deletions of WorkManager in a running server. Only applications or modules deployed or re-deployed after the changes are made can pick up the newly added WorkManagers. Existing production applications resolve their dispatch-policies to work managers during deployment time and once the application is exported and in production mode, the server does not swap work manager's midway. The tight binding helps performance and also avoids issues like what happens to inflight work in the old work manager. This attribute is marked as dynamic so that new applications (re)deployed can pick up the WorkManager changes. Please note that this applies only to resolving dispatch-policies to WorkManagers. Existing attributes within a work manager like fair-share and constraints can be modified without requiring a redeploy.

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### lookupCapacity

    public weblogic.management.configuration.CapacityMBean lookupCapacity(String name)

  Lookup a particular Capacity from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.
  Since:
    9.0.0.0

### lookupContextRequestClass

    public weblogic.management.configuration.ContextRequestClassMBean lookupContextRequestClass(String name)

  Lookup a particular ContextRequestClass from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.
  Since:
    9.0.0.0

### lookupFairShareRequestClass

    public weblogic.management.configuration.FairShareRequestClassMBean lookupFairShareRequestClass(String name)

  Lookup a particular FairShareRequestClass from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.
  Since:
    9.0.0.0

### lookupMaxThreadsConstraint

    public weblogic.management.configuration.MaxThreadsConstraintMBean lookupMaxThreadsConstraint(String name)

  Lookup a particular MaxThreadsConstraint from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.
  Since:
    9.0.0.0

### lookupMinThreadsConstraint

    public MinThreadsConstraintMBean lookupMinThreadsConstraint(String name)

  Lookup a particular MinThreadsConstraint from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.
  Since:
    9.0.0.0

### lookupResponseTimeRequestClass

    public weblogic.management.configuration.ResponseTimeRequestClassMBean lookupResponseTimeRequestClass(String name)

  Lookup a particular ResponseTimeRequestClass from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.
  Since:
    9.0.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD